## cipux-storage 3.4.0.2

=== debian/changelog ===
cipux-storage (3.4.0.2-6) unstable; urgency=low

  * Improve package relations:
    + Drop relations for packages part of core Perl even in oldstable:
      - libversion-perl
      - libtest-simple-perl
    + Relax to unversioned relations when satisfied even in oldstable:
      - libclass-std-perl
      - libtest-pod-perl
      - libtest-pod-coverage-perl
    + Drop TODO file: Obsoleted by above.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 May 2011 11:36:07 +0200

cipux-storage (3.4.0.2-5) unstable; urgency=low

  * Fix generate valid cipux.ldif file.
  * Tighten cipux.ldif generation to not fail if accidentally done
    twice.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Feb 2011 14:44:38 +0100

cipux-storage (3.4.0.2-4) unstable; urgency=low

  [ Xavier Oswald ]
  * Update my mail address

  [ Jonas Smedegaard ]
  * Update locally included cipux.schema to version 1.4 (only cosmetic
    changes).
  * Generate ldif from schema. Install both below /etc/ldap/schema (and
    not as example). Build-depend on slapd (slapcat used for ldif
    generation).
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg-source local-options.
  * Extend copyright year in rules file, and rewrap header at 72 chars.
  * Reformat copyright file, using Subversion draft rev.166 of DEP5.
  * Bump standards-version to 3.9.1.
  * Newline-delimit uploaders and depends in control file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Feb 2011 00:19:41 +0100

cipux-storage (3.4.0.2-3) unstable; urgency=low

  * Drop locally included CDBS snippets, and local implementation of
    DEB_MAINTAINER_MODE, all included in main cdbs now.
  * Adjust header of rules file: Add comma after copyright years.
  * Adjust years in copyright file, and rewrap and slightly reword GPL-
    2+ license section.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 12:20:35 +0200

cipux-storage (3.4.0.2-2) unstable; urgency=low

  * Update local CDBS snippets:
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
    + perl-build.mk:
      - Relax build-dependency on perl to be unversioned (see bug#525190
        and perl policy 3.8.3).
  * Build unversioned on cdbs and perl, thanks to CDBS dependency
    tracking.
  * Bump Standards-Version to 3.8.4.
  * Refer to FSF website (not postal address) in licensing headers of
    Debian packaging files.
  * Update debian/copyright:
    + Reformat to conform to draft DEP5 rev. 135.
    + Bump some coyright years.
    + Fix include disclaimer in GPL-2+ section of copyright.
    + Add reference to FSF website.
  * Use source format '3.0 "quilt"'.
  * Stop conditionally enabling DEB_AUTO_UPDATE_DEBIAN_CONTROL (adopted
    upstream since CDBS 0.4.67), to not bogusly upset lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Feb 2010 22:47:37 +0100

cipux-storage (3.4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Policy compliance to standards-version 3.8.2.
  * Build-depend on libtest-refcount-perl and libtest-leaktrace-perl.
  * Tighten dependencies on libcipux-perl to at least 3.4.0.5.
  * Update package-relations.mk: Cleanup unversioned+versioned
    dependency mix. Improve whitespace cleanup. Rewrite and silence
    applying dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Aug 2009 11:19:36 +0200

cipux-storage (3.4.0.0-2) unstable; urgency=low

  * Add watch file.
  * Build-depend on recent perl-modules (favored over
    libtest-simple-perl).
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Add README.source.  Drop custom CDBS hints.
  * Bump standards-version to 3.8.1.
  * Add proper copyright header to debian/rules.
  * Update upstream homepage.
  * Reformat debian/copyright to conform to proposal DEP5 rev. 48.
  * Extend local CDBS snippet package-relations.mk to support all kinds
    of dependencies.
  * Handle all dependencies in debian/control.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2009 11:34:19 +0200

cipux-storage (3.4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Use local CDBS snippet upstream-tarball.
  * Build-depend on liblog-log4perl-perl and libreadonly-perl. Tighten
    build-dependencies on libcipux-perl and libmodule-build-cipux-perl.
    Drop build-dependency on libdate-manip-perl and (for cipux-storage-
    tools) libcipux-perl.
  * Add proper licensing header to debian/rules, and bump years.
  * Update debian/copyright:
    + Bump licensing years of both upstream source and debian packaging
    + Add upstream tarball download URL.
    + Update syntax to new proposal v442 (no changes needed)
    + Merge entries with same authors and copyrights
    + Add licensing header to GPL license section.
  * Update copyright-hints (no new authors or licenses).

