=== debian/control ===
Source: cipux-storage
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Christian Kuelker <christian.kuelker@cipworx.org>,
 Xavier Oswald <xoswald@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 libclass-std-perl,
 libcipux-perl (>= 3.4.0.5),
 liblog-log4perl-perl,
 libnet-ldap-perl,
 libreadonly-perl,
 libmodule-build-cipux-perl (>= 0.3.0),
 libtest-leaktrace-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl,
 libtest-refcount-perl,
 slapd
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/cipux-storage.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-storage.git;a=summary
Homepage: http://www.cipux.org/

Package: libcipux-storage-perl
Architecture: all
Depends: ${perl:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: storage abstraction layer for CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains CipUX::Storage, the storage abstraction layer for
 CipUX.

Package: cipux-storage-tools
Architecture: all
Depends: ${perl:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Description: Commandline storage-related tools for CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains commandline tools to interact with the storage
 abstraction layer for CipUX.
