=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CipUX::Storage
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg_lib = libcipux-storage-perl

DEB_UPSTREAM_PACKAGE = CipUX-Storage
DEB_UPSTREAM_URL = http://release.cipux.org
DEB_UPSTREAM_TARBALL_MD5 = d2ba5e5c7e0d461a5d9d165f6f5910fb

DEB_INSTALL_EXAMPLES_$(pkg_lib) += doc/debian-edu

# Install through debhelper.mk (not directly with perl-build.mk)
DEB_PERL_DESTDIR = $(cdbs_curdestdir)
DEB_DH_INSTALL_SOURCEDIR = $(DEB_PERL_DESTDIR)

# Needed both by upstream build (or test) process and at runtime
common-depends = libclass-std-perl, libcipux-perl (>= 3.4.0.5), liblog-log4perl-perl, libnet-ldap-perl, libreadonly-perl
CDBS_BUILD_DEPENDS += , $(common-depends)
CDBS_DEPENDS_$(pkg_lib) = $(common-depends)

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libmodule-build-cipux-perl (>= 0.3.0)

# Needed by upstream tests
CDBS_BUILD_DEPENDS += , libtest-leaktrace-perl, libtest-perl-critic-perl, libtest-pod-perl, libtest-pod-coverage-perl, libtest-refcount-perl

# Needed by our build process
CDBS_BUILD_DEPENDS += , slapd

# Needed (always/often) at runtime
CDBS_DEPENDS_cipux-storage-tools = $(pkg_lib)
CDBS_RECOMMENDS_$(pkg_lib) = libio-socket-ssl-perl
CDBS_SUGGESTS_$(pkg_lib) = cipux-storage-tools

# Generate ldif from schema file
build/$(pkg_lib):: debian/cipux.ldif
debian/cipux.ldif:
	mkdir -p debian/ldiftmp
	rm -f debian/ldiftmp/x.conf
	for x in core cosine nis; do \
		echo "include /etc/ldap/schema/$${x}.schema" >> debian/ldiftmp/x.conf; \
	done
	echo "include debian/cipux.schema" >> debian/ldiftmp/x.conf; \
	/usr/sbin/slapcat -f debian/ldiftmp/x.conf -F debian/ldiftmp -n0 -s "cn={3}cipux,cn=schema,cn=config" > debian/cipux.ldif
	test -s debian/cipux.ldif
	sed -i \
		-e 's/^dn:.*/dn: cn=cipux,cn=schema,cn=config/' \
		-e 's/^cn:.*/cn: cipux/' \
		-e '/^structuralObjectClass:/,$$ d' \
		debian/cipux.ldif
install/$(pkg_lib)::
	install -d "$(DEB_PERL_DESTDIR)/etc/ldap/schema"
	install -m 0644 -t "$(DEB_PERL_DESTDIR)/etc/ldap/schema" debian/cipux.schema debian/cipux.ldif
clean::
	rm -f debian/cipux.ldif
	rm -rf debian/ldiftmp
